[tool.black]
line-length = 90
target-version = ['py310']

[tool.isort]
profile = "black"
no_sections = true
honor_noqa = true

[tool.mypy]
python_version = "3.10"
warn_return_any = true
warn_unused_configs = true
ignore_missing_imports = true
disallow_untyped_defs = true
plugins = ["numpy.typing.mypy_plugin"]
